Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I sometimes see software in Ubuntu Software Center with "(obsolete)" at the end of the title. What does this mean? Are there any risks? Is there a simple way to get to a non-obsolete version?

For example, some git and rails tutorials online direct you to install git-core. USC says that git-core is obsolete. I guess I should just install git instead?

share|improve this question

2 Answers 2

up vote 7 down vote accepted

This will usually mean that the package has been renamed, and the one you are looking at is the old name, but kept available for a while to ensure that upgrades work as expected.

In the case of git the package was renamed from git-core to git, so you are right about wanting to install git.

However, git-core depends on git, so installing either will get you the software you want.

share|improve this answer

Softwares are written as to work with a given specific version of the Ubuntu, Obsolete Software may either mean that the software in the question may be Old for the current version of OS or a Newer version of the Software is available, hope i cleared your doubt.

share|improve this answer
    
Though there is no potential harm in installing Obsolete softwares it is not recommended as it may underperform –  kernel_panic Dec 11 '11 at 3:01

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.